import React from 'react';
import type { StoryObj } from '@storybook/react';
import { WebBTCProvider } from '@stacks/connect-ui';
declare global {
    interface Window {
        MockedProvider?: {
            authenticationRequest: () => void;
        };
        wbip_providers?: WebBTCProvider[];
    }
}
declare const meta: {
    title: string;
    component: ({ children, customConnectFunction, }: {
        children?: any;
        customConnectFunction?: () => Promise<any>;
    }) => React.JSX.Element;
    parameters: {
        layout: string;
        backgrounds: {
            default: string;
            values: {
                name: string;
                value: string;
            }[];
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Default: Story;
export declare const WithDefaultProvider: Story;
export declare const WithMockedWallet: Story;
export declare const WithApprovedProvidersOnly: Story;
export declare const WithMultipleApprovedProviders: Story;
export declare const WithApprovedAndCustomProviders: Story;
